_: {
  programs.git = {
    enable = true;
    userEmail = "jana@donsz.nl";
    userName = "Jana Dönszelmann";
    signing.key = "/home/jana/.ssh/id_ed25519.pub";
    signing.signByDefault = true;

    delta.enable = true;
    delta.options = {
      navigate = true;
      light = false;
      side-by-side = true;
      features = "decorations interactive";
      interactive = {
        keep-plus-minus-markers = false;
      };
    };

    extraConfig = {
      push.autoSetupRemote = true;
      pull.rebase = true;
      init.defaultBranch = "main";
      gpg.format = "ssh";
      diff.colorMoved = "default";
      rerere.enabled = true;

      alias.conflicts = "diff --check";
    };
  };
}
